## cdebconf 0.125

=== src/modules/frontend/bogl/Makefile ===
MODULE=bogl
SOBJ=bogl.so
OBJS=bogl.opic

MODLDFLAGS=-lbogl

include ../modules.mak
