=== debian/changelog ===
cdebconf (0.125) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not build the GTK+ frontend with -Wcast-align: GTK_PROGRESS_BAR() is
    has alignment problems on hppa, mips and mipsel.
  * Do not hide the gcc command line in globalmakeflags: this makes a lot
    harder for buildd admins to understand build failures.
  * Fix lintian warning debian-rules-ignores-make-clean-error.
  * Bump Standards-Version to 3.7.2.2 (no changes required).
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.
  * Merge duplicate Depends fields for cdebconf.
  * Add myself to Uploaders.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 07 Oct 2007 16:40:38 +0200

cdebconf (0.124) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Load frontend with RTLD_NOW | RTLD_GLOBAL to allow plugins to access
    frontend API without requiring calls to dlsym().  Kudos to Steve Langasek
    for the help to figure this out!
  * Put frontend plugins symbol in the "cdebconf_" namespaces.  The old
    symbols are still looked up as a fallback to ensure compatibility.
  * Fix a memory leak in plugin_new() along the way.
  * Switch the newt frontend to use "cdebconf_newt_" namespace for its API.
  * Rename config-newt.h to cdebconf_newt.h for consistency.  This header
    defines the public interface used by plugins for the newt frontend.
  * Merge changes to the GTK+ frontend from the "fe_gtk" branch:
    - Rewritten codebase, more readable and documented.
    - Switch "Screenshot" button as secondary.
    - Define a clear API for plugins.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Oct 2007 15:51:47 +0200

cdebconf (0.123) unstable; urgency=low

  * Temporarily make the cdebconf package depend on debconf, to avoid anyone
    breaking their systems by removing debconf, which dependencies now allow.
    Closes: #443627
    (This will be removed once the cdebconf transition is complete; see
    #328498)

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Sep 2007 15:21:46 -0400

cdebconf (0.122) unstable; urgency=medium

  * Explcitly link gtk frontend to libdebian-installer.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 19:14:30 -0400

cdebconf (0.121) unstable; urgency=medium

  * Link newt frontend to slang explicitly, since it calls slang functons
    directly.
  * Link rfc822db backend to libdebian-installer explicitly, ditto.
  * Link libdebconf to libdl, ditto.
  * Needed by new mklibs-readeldf, thus increasing urgency.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 15:12:44 -0400

cdebconf (0.120) unstable; urgency=low

  [ Frans Pop ]
  * debian/rules: add -l option in the dh_shlibsdep call for the gtk udeb to
    ensure it gets a correct dependency on licairo-directfb2-udeb.
    This means we need an additional build dependency on libcairo-directfb2,
    but no longer need the versioned dependency on dpkg-dev. The same solution
    was chosen for cairo itself and is probably more reliable than depending
    on RPATH in objdump (especially as lintian does not seem to like RPATHs).

  [ Attilio Fiandrotti ]
  * Removed workaround for #407035 because upstream fixed in gtk+ 2.10.x series.

  [ Colin Watson ]
  * Fix reference leak in question_get_text.

  [ Joey Hess ]
  * Call dh_md5sums.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Vietnamese (vi.po) by Clytie Siddall

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 11 Sep 2007 20:17:48 +0200

cdebconf (0.119) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Only update keymap when needed in GTK frontend. Closes: #402126.

  [ Frans Pop ]
  * debian/rules: remove the -l option in the dh_shlibsdep call.
    As it effectively was a no-op before the previous release, it looks like
    it is no longer needed.
  * Add versioned dependency on dpkg-dev (>=1.14.5) because earlier versions
    have a bug in the parsing of rdepends from objdump which makes the gtk
    udeb depend on the wrong library for cairo (cf. #427988).

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 14:45:48 +0200

cdebconf (0.118) unstable; urgency=low

  [ Colin Watson ]
  * Set debconf/translations-dropped to true if translations are permanently
    dropped. (The implementation isn't in exactly the right place; see the
    comment in src/confmodule.c.)
  * It's the 21st century. Move configure.in to configure.ac so that we use
    autoconf >= 2.50.
  * Fix broken --without-rpath configure option.
  * Clean up configure.ac quoting and message emission.
  * Use printf rather than echo to send commands to cdebconf, to avoid
    breaking escaped commands if /bin/sh is dash (cf. #306134).
  * Avoid using non-XSI local variables; instead use a nasty temporary IFS
    setting hack and _db_local_ namespace (cf. #242011).
  * Don't define db_stop twice in shell confmodule.

  [ Attilio Fiandrotti ]
  * DirectFB specific lines of code are compiled in only if DI_UDEB was
    defined at configure time.

  [ Frans Pop ]
  * debian/rules: fix path to libcairo-directfb libs for dh_shlibsdep call.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Wed, 04 Jul 2007 19:25:18 +0200
