## cdebconf 0.131ubuntu1

=== debian/changelog ===
cdebconf (0.131ubuntu1) intrepid; urgency=low

  * When receiving a new template with DATA, ensure that the corresponding
    question is registered to that template.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2008 11:16:51 +0100

cdebconf (0.131) unstable; urgency=low

  [ Frans Pop ]
  * gtk frontend: remove special handling for countrychooser/country-name as
    that template no longer exists. Requires: localechooser (>= 2.02).

  [ Max Vozeler ]
  * Fix *_can_align() function signatures to match the prototype.

  [ Jérémy Bobbio ]
  * In the GTK+ frontend, the "Go Back" button is now created before calling
    question handlers.  This allow the button ordering to stay coherent when
    plugins define custom buttons.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Mon, 12 May 2008 14:56:36 +0200

cdebconf (0.130) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not include strutl.h in frontend.h as it is not needed.
    (Closes: #475975)
  * Ship strutl.h in libdebconfclient0-dev for cdebconf plugins using those
    functions.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:04:28 +0200

cdebconf (0.129) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add support for "directives" in templates: those are special variables in
    the form ${!DIRECTIVE} which content are returned by the current frontend.
  * Add a new "align" capability to the protocol, currently implemented by the
    text, newt and gtk frontends.  This allows to "columnize" select and
    multisplect questions by using the ${!TAB} directive as a field separator.

  [ Frans Pop ]
  * Remove Martin Sjogren, Matt Kraai and Randolph Chung as Uploaders with
    many thanks for their past contributions.

  [ Jérémy Bobbio ]
  * Right align item numbers in select and multiselect prompts in the text
    frontend.  Thanks Ferenc Wagner for the patch.
  * Bump Standards-Version to 3.7.3, no changes required.

  [ Updated translations ]
  * Marathi (mr.po)
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 08 Apr 2008 20:41:45 +0200

cdebconf (0.128) unstable; urgency=low

  [ Updated translations ]
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 15 Feb 2008 17:00:32 -0200

cdebconf (0.127) unstable; urgency=low

  [ Colin Watson ]
  * Make PROGRESS fail with a syntax error when given an unknown subcommand.

  [ Jérémy Bobbio ]
  * Correctly handle click on the "Cancel" button during progress operations
    in the GTK+ frontend.  (Closes: #453703)
  * Force cursor to stay on the first column during multiselect questions in
    the GTK+ frontend.  (Closes: #398902)
  * Remove useless debug messages in progress handling of the GTK+ frontend.
    (Closes: #455981)
  * Show progress widgets and restore main title after handling a GO in the
    GTK+ frontend.  (Closes: #464380)
  * Add a case for the previous issue in the "progress" test suite.
  * Correctly handle boolean question without a default in the GTK+ frontend.
    (Closes: #457901)
  * Add a case for the previous issue in the test suite.
  * Remove redundent call to gtk_toggle_button_set_active() when handling
    boolean question in the GTK+ frontend.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 11 Feb 2008 11:04:14 +0100

cdebconf (0.126) unstable; urgency=low

  * debconf-copydb: Unset DEBCONF_DROP_TRANSLATIONS so that we always copy
    all translations.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Slovak (sk.po) by Ivan Masár

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Dec 2007 23:07:12 +0000
