## cdebconf 0.138lenny3

=== debian/changelog ===
cdebconf (0.138lenny3) stable; urgency=low

  [ Nicolas François ]
  * src/template.c (remove_newlines): Fix the removal of trailing
    newline for descriptions ending with a verbatim block. This helps
    optimizing the screen usage in the newt frontend.
  * Fix the computation and usage of the window's height. If the height is not
    computed correctly, the newt frontend may decide to put the input box and
    the explanatory text on the same window, but the text will overlap on the
    input box, which renders the input impossible.
    Closes: #508042, #507372, #343119
  * Optimize the screen usage (2 lines) in the newt frontend when a
    description and select menu are on the same windows or when a big select
    menu is displayed on its own window.
  * Fix select screens with the newt frontend. The <Go Back> button was not
    taken into account and overlapped with the select list. Closes: #525209

 -- Otavio Salvador <otavio@debian.org>  Tue, 09 Jun 2009 18:34:14 -0300

cdebconf (0.138lenny2) unstable; urgency=high

  * Backport from trunk:
    - Fix pointer arithmetic bug in plugin_iterate that meant that only one
      plugin would ever be returned by CAPB (and probably also caused a
      minor buffer overflow, although not exploitable in the context of
      d-i).

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Jan 2009 16:16:05 +0000

cdebconf (0.138lenny1) unstable; urgency=high

  * Rebuild with fixed Danish translation

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Jan 2009 07:24:59 +0100

cdebconf (0.138) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not drop translations that are defined as fall-back languages for the
    currently selected language. Closes: #502240, #502244.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Dec 2008 06:41:23 +0100

cdebconf (0.137) unstable; urgency=low

  * Fix build system to changes in cairo-directfb packaging:
    - Build-Depends on libcairo2-dev (>= 1.6.4-6.1),
    - Remove specific dh_shlibdeps handling of cdebconf-gtk-udeb.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 14 Oct 2008 01:59:53 +0200

cdebconf (0.136) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 18:42:18 -0300

cdebconf (0.135) unstable; urgency=low

  [ Jérémy Bobbio ]
  * In GTK+ frontend, do not run a specific handler when the main window is
    closed on normal shutdown.
  * In GTK+ frontend, fix propagation of errors in question handlers.
  * In GTK+ frontend, return an error when the number of options in Choices and
    Choices-C mismatch instead of triggering an assertion failure.
  * In {text,newt}_go(), exit the loop when an error happens in a question
    handler. Closes: #498846.

  [ Updated translations ]
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 14 Sep 2008 19:43:59 +0000

cdebconf (0.134) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Refactor GOBACK handling in newt_go().
  * Refactor GOBACK handling in text_go().
  * Skip error questions when going back in text and newt frontends.
    (Closes: #487691)
  * Use a dynamically allocated rope in strexpand().
    (Closes: #496093)
  * Increase extra fd numbers by 30 in confmodule_run().
    This is necessary as the new method of switching from /dev/console to the
    real device open more file descriptors in the process space.

  [ Colin Watson ]
  * When receiving a new template with DATA, ensure that the corresponding
    question is registered to that template.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 22:17:19 +0200

cdebconf (0.133) unstable; urgency=low

  [ Frans Pop ]
  * Additional tuning of the dark theme in the newt frontend. Patch from
    Samuel Thibault.

  [ Jérémy Bobbio ]
  * Switch to GtkEntry instead of GtkLabel to display progress info underneath
    the progress bar.  The later has issue when displaying combined LTR and
    RTL scripts.  (Closes: #409412)
  * Fix a segfault happening when GOBACK is selected after adding a new
    question to the set previously seen.  (Closes: #407577)
  * Add support for center and right alignment of select and multiselect
    options in the text, newt and GTK+ frontend.  They can respectively be
    achieved by prefixing a column with ${!ALIGN=CENTER} and ${!ALIGN=RIGHT},
    respectively.
  * Change special handling of partman/choose_partition to use the absence of
    '>' as the first character instead of relying on spaces.
  * Fix column alignment support for special questions
    (e.g.  partman/choose_partition).
  * Add tests for the new terminal plugin.

 -- Otavio Salvador <otavio@debian.org>  Fri, 01 Aug 2008 09:27:37 -0300

cdebconf (0.132) unstable; urgency=low

  [ Joey Hess ]
  * Add a separate queue for noninteractive questions, so that things can
    be done when these questions would be displayed. This is a bit hackish;
    debconf's method of letting questions determine if they are interactive or
    not is really better. But this doesn't need huge changes to cdebconf.
  * Handle the special case of a noninteractive select with no (or a bad)
    default the same as debconf does; when such a question is asked,
    set the value to the first item in the select list. 
    Closes: #486892, #247744

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to improve dark theme in newt frontend
    and add support for a dark theme in the text frontend if used with
    "linux" or "bterm" consoles. Closes: #488494.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande

