=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo-directfb2-dev
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
