## cdebconf 0.139

=== debian/changelog ===
cdebconf (0.139) unstable; urgency=low

  * Fix potential crash if a configuration file element contains printf
    formatting characters.
  * Remove unnecessary assignment in rfc822db_question_set.
  * Fix pointer arithmetic bug in plugin_iterate that meant that only one
    plugin would ever be returned by CAPB (and probably also caused a minor
    buffer overflow, although not exploitable in the context of d-i).
  * Mark parent halves of confmodule communication pipes close-on-exec.
  * Move newt initialisation into new cdebconf_newt_setup function, exported
    for the benefit of cdebconf-newt-terminal.
  * Export a new cdebconf_newt_get_progress_info function so that
    cdebconf-newt-terminal can reinitialise progress bars (since there's no
    progress_info member in struct frontend, and it won't fit in the obvious
    place without breaking the plugin ABI).

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:50:56 +0000
