## cdebconf 0.145

=== src/modules/frontend/gtk/Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
        progress.opic \
        go.opic \
        handlers.opic \
-       ui.opic
+       ui.opic \
+       align_text_renderer.opic
 
 ifneq ($(strip $(filter -DDI_UDEB, $(CFLAGS))),)
 OBJS += screenshot.opic di.opic
