=== debian/changelog ===
cdebconf (0.145) unstable; urgency=low

  * Use correct debconf template for newt help line when F1-help is
    available.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Basque (eu.po) by Piarres Beobide
  * Italian (it.po) by Milo Casagrande
  * Turkish (tr.po) by Mert Dirik

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2009 16:30:02 +0100

cdebconf (0.144) unstable; urgency=low

  * Drop gtk frontend from default cdebconf package (thanks, Neil Williams;
    closes: #480899).
  * cdebconf-gtk should replace cdebconf (<< 0.144) - forgotten in previous
    upload.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jul 2009 17:42:50 +0100

cdebconf (0.143) unstable; urgency=low

  [ Otavio Salvador ]
  * Move Gtk+ frontend to a separate package to allow installation without
    X . Closes: #480899

  [ Colin Watson ]
  * Add online help support. The "Help" field in a template may refer to
    another template whose description contains help text; frontends may use
    this to display online help on request. Currently implemented for the
    text, newt, and gtk frontends.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jul 2009 14:32:27 +0100

cdebconf (0.142) unstable; urgency=low

  [ Frans Pop ]
  * "Unbrand" logo file name by using logo_installer instead of logo_debian.
    Requires rootskel-gtk (1.16).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jun 2009 15:41:15 +0100

cdebconf (0.141) unstable; urgency=low

  [ Nicolas François ]
  * Add myself as uploader.
  * Fix select screens with the newt frontend. The <Go Back> button was not
    taken into account and overlapped with the select list. Closes: #525209

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Slovak (sk.po) by Ivan Masár

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 24 Apr 2009 10:47:41 +0200

cdebconf (0.140) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Nicolas François ]
  * src/template.c (remove_newlines): Fix the removal of trailing
    newline for descriptions ending with a verbatim block. This helps
    optimizing the screen usage in the newt frontend.
  * Fix the computation and usage of the window's height. If the height is not
    computed correctly, the newt frontend may decide to put the input box and
    the explanatory text on the same window, but the text will overlap on the
    input box, which renders the input impossible.
    Closes: #508042, #507372, #343119
  * Optimize the screen usage (2 lines) in the newt frontend when a
    description and select menu are on the same windows or when a big select
    menu is displayed on its own window.

  [ Updated translations ]
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:36:15 -0300
