=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>, Jérémy Bobbio <lunar@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.7.3
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/cdebconf
 
@@ -11,6 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, debconf
 Provides: debconf-2.0
+Suggests: cdebconf-gtk
 Priority: extra
 Description: Debian Configuration Management System (C-implementation)
  Debconf is a configuration management system for Debian packages. It is
@@ -144,3 +145,16 @@
  .
  cdebconf-gtk-udeb is a minimal Gtk+ frontend cdebconf package used
  by the debian-installer.
+
+Package: cdebconf-gtk
+Architecture: any
+Section: admin
+Priority: optional
+Depends: cdebconf, ${shlibs:Depends}
+Replaces: cdebconf (<< 0.144)
+Description: Gtk+ frontend for Debian Configuration Management System
+ Debconf is a configuration management system for Debian packages. It is
+ used by some packages to prompt you for information before they are
+ installed. This is a reimplementation of the original debconf version in C.
+ .
+ cdebconf-gtk is a minimal Gtk+ frontend cdebconf package.
