=== debian/rules ===
--- 
+++ 
@@ -123,8 +123,7 @@
 	dh_fixperms -s
 	dh_makeshlibs -s --add-udeb=libdebconfclient0-udeb
 	dh_installdeb -s
-	dh_shlibdeps -s -Ncdebconf-gtk-udeb
-	dh_shlibdeps -pcdebconf-gtk-udeb -l /usr/lib/libcairo-directfb/lib/
+	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
 	dh_builddeb -s
