## cdebconf 0.147

=== debian/changelog ===
cdebconf (0.147) unstable; urgency=high

  [ Colin Watson ]
  * Fix double-dereference of progress title questions in text frontend
    (closes: #568381).

  [ Frans Pop ]
  * Upload with urgency high because of the upcoming D-I release.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Fri, 05 Feb 2010 10:28:57 +0100

cdebconf (0.146) unstable; urgency=low

  [ Joey Hess ]
  * Remove newt screen clearing code. Closes: #442291
  * dpkg-reconfigure: Fix -p to set priority. Closes: #442288
  * dpkg-reconfigure: Fix skipping of seen questions. Closes: #442290
  * dpkg-reconfigure: Run at low priority by default, like perl debconf.
  * dpkg-reconfigure: Support --default-priority and --unseen-only.
  * dpkg-reconfigure: Fix support for -u short option.
  * Rename DEBCONF_PRIORITY to DEBIAN_PRIORITY for compatibility with perl
    debconf. No code uses the old variable name, the manual
    has even been changed long ago not to use it.
  * dpkg-reconfigure: Don't treat config script exit 1 as success.
    Closes: #443760
  * dpkg-reconfigure: Run prerm script to simulate package reinstallation.
    Closes: #469363

  [ Colin Watson ]
  * Add passthrough frontend (see #537523), installed in the deb only since
    I don't think the udeb needs it. This required changing the
    progress_start and progress_info frontend methods to take the title/info
    as a struct question * rather than a const char *; I believe this only
    affects cdebconf-newt-terminal, which I've adjusted to cope in
    cdebconf-terminal 0.6.
  * Upgrade to debhelper v7.
  * Teach debconf-communicate to handle long input lines (over 1024 bytes).

  [ Frans Pop ]
  * newt frontend: improve display of note and error dialogs by inserting a
    blank line between the dialog border and short description.
  * Remove warning that the TITLE command is obsolete as per discussion in
    #560323. Although SETTITLE is normally to be preferred, there are still
    valid use cases for TITLE.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Galician (gl.po) by Marce Villarino
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:38:06 +0100
