=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cdebconf
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0.22), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
+Build-Depends: debhelper (>= 7.0.0~), po-debconf (>= 0.5.0), libslang2-dev, libnewt-dev, libtextwrap-dev (>= 0.1-5), libdebian-installer4-dev (>= 0.41) | libdebian-installer-dev, libgtk-directfb-2.0-dev (>= 2.8.18-5), libcairo2-dev (>= 1.6.4-6.1)
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Jérémy Bobbio <lunar@debian.org>, Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
 Standards-Version: 3.7.3
